﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using rossisdead.Mvc.Detergent;

namespace DetergentDemoSite.Models
{
    public enum AnimalTypes
    {
        Adorable = 1,
        NotSoAdorable = 2
    }

    public class Animal
    {
        public int AnimalId { get; set; }
        public AnimalTypes AnimalType { get; set; }
        public string Name { get; set; }
    }

    public class AnimalViewModel
    {
        public AnimalTypes? SelectedAnimalType { get; set; }
        [Cascading(Action = "/Animal/GetAnimalsByAnimalType", DependsOn = "SelectedAnimalType")]
        public int? SelectedAnimalId { get; set; }
    }
}